# -*- coding: utf-8 -*-
"""
Created on 23.05.2011

@author: christian
"""
from django.utils.html import strip_spaces_between_tags


class CompressHtmlMiddleware(object):
    """
    This Middleware compresses the HTML Output at the End. It strips the Spaces
    between Tags, an at the beginning and the end of the content.
    """

    def process_response(self, request, response):
        if 'text/html' in response['Content-Type']:
            response.content = strip_spaces_between_tags(response.content)
            response.content = response.content.strip()
        return response
